[Ezbench-dev] [PATCH 04/15] profile/git-repo: fix profile_get_built_versions for the first run

Martin Peres martin.peres at linux.intel.com
Mon Jan 30 20:54:02 UTC 2017


---
 profiles.d/utils/git-repo.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/profiles.d/utils/git-repo.sh b/profiles.d/utils/git-repo.sh
index 031dd18..6be42fb 100644
--- a/profiles.d/utils/git-repo.sh
+++ b/profiles.d/utils/git-repo.sh
@@ -137,7 +137,7 @@ function profile_get_version_list() {
 # Outputs:
 #   - Space-separated list of versions
 function profile_get_built_versions() {
-    pushd  $PROFILE_DEPLOY_BASE_DIR > /dev/null || return 1
+    pushd  "$PROFILE_DEPLOY_BASE_DIR" > /dev/null 2> /dev/null || return 1
     for file in *; do
         echo -n "$file "
     done
-- 
2.11.0



More information about the Ezbench-dev mailing list